package com.ruoyi.brewery.mapper;

import java.util.List;
import com.ruoyi.common.core.domain.entity.WyBreweryUser;
import org.apache.ibatis.annotations.Param;

/**
 * 品牌方用户信息Mapper接口
 * 
 * @author ruoyi
 * @date 2024-12-22
 */
public interface WyBreweryUserMapper 
{
    /**
     * 查询品牌方用户信息
     * 
     * @param userId 品牌方用户信息主键
     * @return 品牌方用户信息
     */
    public WyBreweryUser selectWyBreweryUserByUserId(Long userId);

    public WyBreweryUser selectUserByUserName(String username);
    /**
     * 查询品牌方用户信息列表
     * 
     * @param wyBreweryUser 品牌方用户信息
     * @return 品牌方用户信息集合
     */
    public List<WyBreweryUser> selectWyBreweryUserList(WyBreweryUser wyBreweryUser);

    /**
     * 新增品牌方用户信息
     * 
     * @param wyBreweryUser 品牌方用户信息
     * @return 结果
     */
    public int insertWyBreweryUser(WyBreweryUser wyBreweryUser);

    /**
     * 修改品牌方用户信息
     * 
     * @param wyBreweryUser 品牌方用户信息
     * @return 结果
     */
    public int updateWyBreweryUser(WyBreweryUser wyBreweryUser);

    /**
     * 删除品牌方用户信息
     * 
     * @param userId 品牌方用户信息主键
     * @return 结果
     */
    public int deleteWyBreweryUserByUserId(Long userId);

    /**
     * 批量删除品牌方用户信息
     * 
     * @param userIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWyBreweryUserByUserIds(Long[] userIds);

    public int updateUserProfile(WyBreweryUser currentUser);

    public int resetUserPwd(@Param("userName") String userName,@Param("password") String newPassword);

    public int updateUserAvatar(@Param("userName")String username,@Param("avatar") String avatar);

    public WyBreweryUser checkPhoneUnique(String phoneNumber);

    public WyBreweryUser checkEmailUnique(String email);
    public WyBreweryUser checkUserNameUnique(String openId);
}
